[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinter.Fonts

the list of available Fonts for the current printer.

## Declaration

Source position: printers.pas line 331

`public property TPrinter.Fonts : TStrings read GetFonts;`

## Description

Fonts is a read-only TStrings property which contains a list of font names available for the selected print device. Values in Fonts are retrieved and stored using the DoEnumFonts method. It is called when the number of items in Fonts is 0, and when Refresh or DoResetFontsList is called.

Remark: | DoEnumFonts has an empty implementation in TPrinter. It must be overridden in a descendant to implement the functionality for the operating system / widgetset / printer-related technology.